Library Version 18.1.40

Db::get_slices()
Prev | Chapter 2. The Db Handle | Next

## Db::get_slices()

    #include <db_cxx.h>

    int
    Db::get_slices(Db ***slicepp);

The `Db::get_slices()` method returns a NULL-terminated array of slice databases. Each element in the array represents one slice. Note that you should not explicitly close these database handles; each slice database is automatically closed when the parent database handle is closed.

The `Db::get_slices()` method may be called at any time during the life of the application.

The `Db::get_slices()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### slicepp

The `Db::get_slices()` method returns a reference to a NULL-terminated array of slice databases in slicepp.

### Class

Db

### See Also

Database and Related Methods

Prev | Up | Next
Db::get_re_source() | Home | Db::get_type()